package com.yihu.wlyy.entity.education;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 患者健康教育文章
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_health_edu_article_doctor")
public class HealthEduArticleDoctor extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2828101406253527L;

	// 文章标识
	private String article;
	// 医生标识
	private String doctor;
	// 文章标题
	private String title;
	// 文章链接
	private String url;
	// 文章内容
	//private String content;
	// 发布时间
	private Date czrq;

	public String getArticle() {
		return article;
	}

	public void setArticle(String article) {
		this.article = article;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}


	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	//public String getContent() {
	//	return content;
	//}
    //
	//public void setContent(String content) {
	//	this.content = content;
	//}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
